Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools
Class Utilities

Various utility functions for use in the compiler.

Field Summary
`String` | `eol`

Constructor Summary
`Utilities()`

Method Summary
`static String` | `eol()` Returns the end-of-line marker.
`static String` | `repeatString(String pattern, int repeats)` Returns a string made up of repetitions of the specified string.

Constructor Detail

### Utilities

    Utilities()

Method Detail

### eol

    public static String eol()

  Returns the end-of-line marker.

### repeatString

    public static String repeatString(String pattern, int repeats)

  Returns a string made up of repetitions of the specified string.